Package Details: rslsync 2.7.2-1

Git Clone URL: https://aur.archlinux.org/rslsync.git (read-only, click to copy)
Package Base: rslsync
Description: Resilio Sync (ex:BitTorrent Sync) - automatically sync files via secure, distributed technology
Upstream URL: https://www.getsync.com
Licenses: custom:resilio
Submitter: widowild
Maintainer: widowild (fryfrog)
Last Packager: fryfrog
Votes: 351
Popularity: 0.57
First Submitted: 2016-09-25 13:20
Last Updated: 2020-07-21 21:45

Latest Comments

1 2 3 4 5 6 ... Next › Last »

PapistPenguin commented on 2020-07-21 21:48

Thank you!

fryfrog commented on 2020-07-21 21:46

Looks like 2.7.2 came out, I love their unversioned files. :/

PapistPenguin commented on 2020-07-21 21:40

When I try to build, it throws this error:

==> Validating source_x86_64 files with sha256sums... rslsync_x64-2.7.1-1.tar.gz ... FAILED ==> ERROR: One or more files did not pass the validity check! Failed to build rslsync

fryfrog commented on 2020-06-18 16:05

It is updated to 2.7.0, maybe you have an old source file somewhere? I checked for updates on my Windows client and 2.7.0 is still the latest.

Alex_Boutros commented on 2020-06-18 16:01

Same issue as https://aur.archlinux.org/packages/rslsync#comment-744041

Please update.

Vinno97 commented on 2020-05-08 16:38

It seems like Resilio Sync updated to 2.7.0, breaking the file integrity check

fryfrog commented on 2019-01-10 06:58

@kasei: Thanks for catching that, I did a tiny bit more clean up. I forgot that they don't version their downloads, so I set it up to version the files w/ the pkgrel. I'm just going to leave it as is and let the next actual version change push out the changes.

kasei commented on 2019-01-10 06:51

@fryfrog: Thanks for your quick response! It seems you forgot install "rslsync.sysusers" to "/usr/lib/sysusers.d/rslsync.conf". And all other changes looks good to me.

fryfrog commented on 2019-01-10 03:36

@kasei: Done, also switched to sysusers and moved the folder/permissions to tmpfiles. Have a look and see what you think, it'll roll out w/ the next update or I'll bump the pkgrel if you don't have any suggestions.

kasei commented on 2019-01-10 02:45

The pacman's systemd-tmpfiles.hook can automatically run systemd-tmpfiles after installation now. So there is no need to run systemd-tmpfiles in the .install file. Could you please remove that from the .install file? Here is a list of the packages which already removed those commands. https://www.archlinux.org/todo/pacman-hooks-systemd-sysuserstmpfiles/